# Uses of Interface
io.github.jdbcx.DriverExtension

Packages that use DriverExtension
Package
Description
io.github.jdbcx
io.github.jdbcx.driver
io.github.jdbcx.driver.impl
io.github.jdbcx.extension

## Uses of DriverExtension in io.github.jdbcx

Methods in io.github.jdbcx with parameters of type DriverExtension
Modifier and Type
Method
Description
`default int`
DriverExtension.`compareTo(DriverExtension o)`
`static Properties`
DriverExtension.`extractProperties(DriverExtension extension, Properties properties)`

## Uses of DriverExtension in io.github.jdbcx.driver

Classes in io.github.jdbcx.driver that implement DriverExtension
Modifier and Type
Class
Description
`final class`
`DefaultDriverExtension`
`final class`
`HelpDriverExtension`
Methods in io.github.jdbcx.driver that return DriverExtension
Modifier and Type
Method
Description
`DriverExtension`
ConnectionManager.`getDefaultExtension()`
`DriverExtension`
ConnectionManager.`getExtension(String name)`
`static final DriverExtension`
DefaultDriverExtension.`getInstance()`
Methods in io.github.jdbcx.driver that return types with arguments of type DriverExtension
Modifier and Type
Method
Description
`List<DriverExtension>`
ConnectionManager.`getExtensions()`
`List<DriverExtension>`
ConnectionManager.`getMatchedExtensions(String pattern)`
Methods in io.github.jdbcx.driver with parameters of type DriverExtension
Modifier and Type
Method
Description
`static Result<?>`
ConnectionManager.`describe(DriverExtension ext, Properties props)`
`Properties`
ConnectionManager.`extractProperties(DriverExtension ext)`
Constructors in io.github.jdbcx.driver with parameters of type DriverExtension
Modifier
Constructor
Description
``
`ConnectionManager(ConfigManager configManager, Map<String,DriverExtension> extensions, DriverExtension defaultExtension, Connection conn, String url, Properties extensionProps, Properties normalizedProps, Properties originalProps)`
Constructor parameters in io.github.jdbcx.driver with type arguments of type DriverExtension
Modifier
Constructor
Description
``
`ConnectionManager(ConfigManager configManager, Map<String,DriverExtension> extensions, DriverExtension defaultExtension, Connection conn, String url, Properties extensionProps, Properties normalizedProps, Properties originalProps)`

## Uses of DriverExtension in io.github.jdbcx.driver.impl

Constructors in io.github.jdbcx.driver.impl with parameters of type DriverExtension
Modifier
Constructor
Description
``
`DefaultConnection(ConfigManager configManager, Map<String,DriverExtension> extensions, DriverExtension defaultExtension, String url, Properties extensionProps, Properties normalizedProps, Properties originalProps)`
Constructor parameters in io.github.jdbcx.driver.impl with type arguments of type DriverExtension
Modifier
Constructor
Description
``
`DefaultConnection(ConfigManager configManager, Map<String,DriverExtension> extensions, DriverExtension defaultExtension, String url, Properties extensionProps, Properties normalizedProps, Properties originalProps)`

## Uses of DriverExtension in io.github.jdbcx.extension

Classes in io.github.jdbcx.extension that implement DriverExtension
Modifier and Type
Class
Description
`class`
`CodeQLDriverExtension`
`class`
`DbDriverExtension`
`class`
`PromptDriverExtension`
`class`
`PrqlDriverExtension`
`class`
`ScriptDriverExtension`
`class`
`ShellDriverExtension`
`class`
`VarDriverExtension`
`final class`
`VersionDriverExtension`
`class`
`WebDriverExtension`